Package org.lwjgl.opengl

# Class DisplayMode

java.lang.Object
org.lwjgl.opengl.DisplayMode

public final class DisplayMode extends Object
This class encapsulates the properties for a given display mode. This class is not instantiable, and is aquired from the `Display. getAvailableDisplayModes()` method.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Constructor Summary

Constructors
Constructor
Description
`DisplayMode(int width, int height)`
Construct a display mode.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Tests for `DisplayMode` equality
`int`
`getBitsPerPixel()`
`int`
`getFrequency()`
`int`
`getHeight()`
`int`
`getWidth()`
`int`
`hashCode()`
Retrieves the hashcode for this object
`boolean`
`isFullscreenCapable()`
True if this instance can be used for fullscreen modes
`String`
`toString()`
Retrieves a String representation of this `DisplayMode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DisplayMode

public DisplayMode(int width, int height)
Construct a display mode. DisplayModes constructed through the public constructor can only be used to specify the dimensions of the Display in windowed mode. To get the available DisplayModes for fullscreen modes, use Display.getAvailableDisplayModes().

Parameters:
  `width` - The Display width.
  `height` - The Display height.
See Also:
  - `Display`

## Method Details

### isFullscreenCapable

public boolean isFullscreenCapable()
True if this instance can be used for fullscreen modes

### getWidth

public int getWidth()

### getHeight

public int getHeight()

### getBitsPerPixel

public int getBitsPerPixel()

### getFrequency

public int getFrequency()

### equals

public boolean equals(Object obj)
Tests for `DisplayMode` equality

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(Object)`

### hashCode

public int hashCode()
Retrieves the hashcode for this object

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`

### toString

public String toString()
Retrieves a String representation of this `DisplayMode`

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`